#!/bin/ksh
#SBATCH -n 1
#SBATCH -t 78:00:00
#SBATCH -J interpORAS4
#SBATCH -o interp-oras4-%j.log   
set -exv
#module load netCDF-Fortran/4.2-foss-2015a
# This script download the s4 restarts from ECMWF 
# and launch the interpolation of the files toward 
# the target resolution
# History : Chloe Prodhomme - Initial version                           2016 
#         : Valentina Sicardi - Changes to interpolate nudging files to ORCA1L75
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                                Arguments
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
YEARI=2017 # first years of the restarts to be intepolated
YEARF=2018 # Last year to be interpolated
MEMBER_LST="04" # List of members to interpolate
MON_LST2="0228 0331 0430 0531 0630 0731 0831 0930 1031 1130 1231" #"0131 0228 0331 0430 0531 0630 0731 0831 1031 1130 1231" # List of months to intepolate in formate MMDD
MON_LST1="0201 0301 0401 0501 0601 0701 0801 0901 1001 1101 1201" #"0131 0228 0331 0430 0531 0630 0731 0831 1031 1130 1231" # 
month="01 02 03 04 05 06 07 08 09 10 11 12"
config=1L75 #target resolution for the output grid
modelversion="Ec3.2" 
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

workdir=/scratch/Earth/$USER/ORAS4/
tmpdir=/scratch/Earth/$USER/interp/
rm -f /scratch/Earth/$USER/ORAS4/*
mkdir -p $workdir
mkdir -p $tmpdir
cp *.py $workdir
cp *.nc $workdir
cd $workdir


#loop over the members
for mem in $MEMBER_LST ; do
    #loop over the month
	#loop over the years
	for YEAR in `seq $YEARI $YEARF`; do
            for MON1 in  $MON_LST1; do
                for MON2 in $MON_LST2; do 
                    for mon in ${month}; do
            #DATASOURCE="/esarchive/recon/ecmwf/nemovar_system4/monthly_mean/thetao/thetao_Omon_ORAS4_opa1_20180201-20180228.nc" # HERE should go the input file 
            DATASOURCE="/esarchive/recon/ecmwf/nemovar_system4/monthly_mean/so/so_Omon_ORAS4_opa4_${YEAR}${MON1}-${YEAR}${MON2}.nc" # HERE should go the input file 

            #fileto_interp=s4_fc00_201802.nc # the file DATASOURCE should be renamed something like: s4_MEMBER_YEARMONTH.nc" s4_fc00_201801.nc
            fileto_interp=s4_fc${mem}_${YEAR}${mon}.nc # the file DATASOURCE should be renamed something like: s4_MEMBER_YEARMONTH.nc" s4_fc00_201801.nc
            echo ${fileto_interp}
	   # cp $DATASOURCE ${localdir}/$fileto_interp
             cp $DATASOURCE ${workdir}/$fileto_interp
             echo ${fileto_interp}
            #before the interpolation the file shoudl be modified as follow:
             ncrename -d time,t    ${workdir}/${fileto_interp}                  #s4_fc00_201802.nc
             ncrename -d olevel,z    ${workdir}/${fileto_interp}
             ncrename -v olevel,z   ${workdir}/${fileto_interp}  
             ncrename -v z,nav_lev  ${workdir}/${fileto_interp}    #$fileto_interp
             ncrename -v time,time_counter ${workdir}/${fileto_interp}
             ncrename -v latitude,nav_lat ${workdir}/${fileto_interp}
             ncrename -v  longitude,nav_lon ${workdir}/${fileto_interp}
             
            #fileout=s4_fc0_YEAR.nc ####  the final interpolated file, should be 12 months file. with thethao renamed to votemper and so renamed to vosaline 
            # fileout=s4_fc${mem}_${YEAR}.nc
            echo $(pwd) 
            #echo ${fileout}
	    #Launch the interpolation toward the target resolution
            echo ${fileto_interp}
	    python prep_restart_interp.py ${fileto_interp} /esnas/autosubmit/con_files/mesh_mask_nemo.nemovar_O1L42.nc $config $modelversion
	    # remove the local files
           done 
	done #loop year
    done #loop month
  done 
done #loop member
       #   ncrename -v  thetao,votemper ${fileto_interp}               #s4_fc00_201802.nc
        ncrename -v  so,vosaline ${fileto_interp}          

         # merge all interpolated files s4_MEMBER_YEARMONTH.nc in one 12 months file: s4_fc00_YEAR.nc . and they should go in:
         #/esarchive/releases/nudging/ocean/s4/ORCA1L75/MEMBER 

     
                  

